package com.vctgo.system.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.vctgo.system.domain.SysAdminManage;

import java.util.List;

/**
 * 租户超管菜单管理Service接口
 *
 * @author caesar
 * @date 2023-11-13
 */
public interface ISysAdminManageService {
    /**
     * 查询租户超管菜单管理
     *
     * @param id 租户超管菜单管理主键
     * @return 租户超管菜单管理
     */
    SysAdminManage selectSysAdminManageById(Long id);

    /**
     * 查询租户超管菜单管理列表-分页
     *
     * @param sysAdminManage 租户超管菜单管理
     * @return 租户超管菜单管理集合
     */
    IPage<SysAdminManage> selectSysAdminManagePage(SysAdminManage sysAdminManage);

    /**
     * 查询租户超管菜单管理列表
     *
     * @param sysAdminManage 租户超管菜单管理
     * @return 租户超管菜单管理集合
     */
    List<SysAdminManage> selectSysAdminManageList(SysAdminManage sysAdminManage);

    /**
     * 新增租户超管菜单管理
     *
     * @param sysAdminManage 租户超管菜单管理
     * @return 结果
     */
    int insertSysAdminManage(SysAdminManage sysAdminManage);

    /**
     * 修改租户超管菜单管理
     *
     * @param sysAdminManage 租户超管菜单管理
     * @return 结果
     */
    int updateSysAdminManage(SysAdminManage sysAdminManage);

    /**
     * 逻辑删除租户超管菜单管理
     *
     * @param ids
     * @return 结果
     */
    int logicalDeleteSysAdminManageByIds(Long[] ids);

    /**
     * 批量删除租户超管菜单管理
     *
     * @param ids 需要删除的租户超管菜单管理主键集合
     * @return 结果
     */
    int deleteSysAdminManageByIds(Long[] ids);

    /**
     * 删除租户超管菜单管理信息
     *
     * @param id 租户超管菜单管理主键
     * @return 结果
     */
    int deleteSysAdminManageById(Long id);
}
